<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Jak editovat přes webové rozhraní - techniky NarutoLARP</title>
    <link rel="stylesheet" href="./post.css">
</head>
<body>
    <nav>
        <a href="./index.html">&larr; Jak fungují techniky NarutoLARPu</a>
    </nav>
    <main>
        <h1>Jak editovat přes webové rozhraní (krok za krokem)</h1>

        <h2>Přihlásit se na gitlab.com</h2>
        
        <p>
            Je možné se klasicky registrovat e-mailem (<i>"Register now"</i>), nebo se přihlásit přes google účet.
        </p>

        <figure>
            <figcaption>Přihlašovací obrazovka</figcaption>
            <img src="./gl-signup1.png">
        </figure>

        <p>
            Při registraci se gitlab zeptá na nějké otázky - sem stači napsat cokoliv,
            ale třeba vyplnit podle tohoto screenshotu
        </p>
        <figure>
            <figcaption>Nedůležité otázky</figcaption>
            <img style="max-width: 20rem;" src="./gl-signup2.png">
        </figure>



        <h2>Upravit vybraný soubor</h2>
        <p>
            Vybrat soubor k editaci ze složky
            <a href="https://gitlab.com/narutolarp/database-public/-/tree/master/public/data?ref_type=heads">/public/data</a>
            (kliknout na jméno chtěného souboru)
        </p>

        <figure>
            <figcaption>Složka /public/data - kliknout na soubor definice.xml</figcaption>
            <img src="./gl-edit1.png">
        </figure>

        <figure>
            <figcaption>Zvolit editace souboru</figcaption>
            <img src="./gl-edit2.png">
        </figure>

        <figure>
            <figcaption>Zvolit "Fork"</figcaption>
            <img src="./gl-edit3.png">
        </figure>

        <figure>
            <figcaption>Nyní už můžeme soubor editovat</figcaption>
            <img src="./gl-edit4.png">
        </figure>

        <p>
            Poté co jsme provedli požadovanou změnu (např přejmenovat zásah "Rukou" na zásah "Beze zbraně")
            můžeme provedené změny uložit.
            <br>
            Napřed vyplníme "Commit message" - to je krátký popisek změn co jsme udělali (Může být třeba "Oprava překlepů").
            <br>
            Poté klikneme na tlačítko "Commit changes"
            <br>
            Pak můžeme vyplnit "Description" - kde zdůvodníme provedené změny
            (pokud je to jen oprava překlepů/gramatiky tak není potřeba zdůvodňovat).
            <br>
            A nakonec klikneme na tlačítko "Create merge request", címž se změny odešlou ke schválení.
        </p>

        <figure>
            <figcaption>uložení změn (1/2)</figcaption>
            <img src="./gl-edit5.png">
        </figure>

        <figure>
            <figcaption>uložení změn (2/2)</figcaption>
            <img src="./gl-edit6.png">
        </figure>

        <figure>
            <figcaption>Správně vytvořená zádost o změnu (se zelenou fajfkou), která čeká na schválení</figcaption>
            <img src="./gl-edit7.png">
        </figure>

        <p>
            Nyní už jen čekat až se na tuto změnu podívá organizátor zodpovědný za techniky.
            Buďto změnu schválí, nebo ti napíše pokud je se změnou nějaký problém.
            <br>
            Pokud by místo zelené fajfky byl červený křížek, a nevíš proč, tak taky čekej, někdo určitě pomůže/poradí.
            <br>
            U této žádosti je možné přidávat komentáře (stačí zascrollvoat dolů)
            - složitější změny často vyžadují diskuzi.
        </p>

        <figure>
            <figcaption>Přidání komentáře k navrhované změně</figcaption>
            <img src="./gl-edit8.png">
        </figure>

    </main>
</body>
</html>
